<div dir="ltr"><div>Dear developer, <br></div>after I decompress all the dune tarbal, I don't get usr/local/lib/dunecontrol, such that I can't make models, please give me some help, I paste the  output from <br><pre>
./dune-common/bin/dunecontrol --debug autogen : configure</pre><div><br><div>"<br>        echo "WARNING: You will have to make sure that your commits don't introduce any trailing whitespace or indentation with tabs!"<br>
        echo "WARNING: Otherwise, your commits might be rejected when trying to push them to an official repository!"<br><br>        if [ -e "$GITHOOKPATH" ]; then<br>          # there is a pre-commit hook, check whether it is our whitespace hook<br>
          local HOOKTAG="$(eval head -n 2 \"$GITHOOKPATH\" | tail -n 1)"<br>          if [ "x$HOOKTAG" = "x# dune-git-whitespace-hook" ]; then<br>            echo "--> Removing DUNE whitespace hook as requested by the user"<br>
            rm "$GITHOOKPATH"<br>          fi<br>        fi<br>      else<br>        # standard handling of Git whitespace hook<br>        if [ ! -e "$GITHOOKPATH" ]; then<br>          # there is no hook yet, we can safely install ours<br>
          echo "--> Installing Git pre-commit hook to enforce whitespace policy"<br>          cp -p "$PREFIX_DIR/bin/git-whitespace-hook" "$GITHOOKPATH"<br>        else<br>          # there is already a hook, check whether it is our whitespace hook<br>
          local HOOKTAG="$(eval head -n 2 \"$GITHOOKPATH\" | tail -n 1)"<br>          if [ "x$HOOKTAG" = "x# dune-git-whitespace-hook" ]; then<br>            if [ "$PREFIX_DIR/bin/git-whitespace-hook" -nt "$GITHOOKPATH" ]; then<br>
              echo "--> Updating Git pre-commit hook with newer version"<br>              cp -p "$PREFIX_DIR/bin/git-whitespace-hook" "$GITHOOKPATH"<br>            fi<br>          else<br>
            echo "WARNING: Existing pre-commit hook found!"<br>            echo "WARNING: Skipping installation of DUNE whitespace hook!"<br>            echo "WARNING: If you want to contribute patches to DUNE, you should make sure to call the whitespace hook"<br>
            echo "WARNING: (dune-common/bin/git-whitespace-hook) from you custom pre-commit hook, otherwise your commits"<br>            echo "WARNING: might contain trailing whitespace and will not apply cleanly to the official repositories!"<br>
          fi<br>        fi<br>      fi<br>    fi<br><br>    # Apply git configuration settings<br>    if [ -f .vcsetup/config ]; then<br>      echo -n "--> Setting Git configuration entries... "<br>      cat .vcsetup/config | while read; do<br>
        # Filter out comments<br>        local COMMENT="$(echo $REPLY | $GREP '^#')"<br>        if [ ! "x$COMMENT" = "x$REPLY" ]; then<br>          # parse line into an array first to catch obvious syntax errors<br>
          # like 'option value; rm -rf /'<br>          eval local GIT_ARGS=($REPLY)<br>          git config "${GIT_ARGS[@]}"<br>        fi<br>      done<br>      echo "done"<br>    fi<br><br>    # Apply user supplied configuration settings<br>
    if [ -n "$GIT_CONFIG_FILE" ]; then<br>      if [ -f "$GIT_CONFIG_FILE" ]; then<br>        echo -n "--> Setting custom Git configuration entries from '$GIT_CONFIG_FILE'... "<br>
        cat "$GIT_CONFIG_FILE" | while read; do<br>          # Filter out comments<br>          local COMMENT="$(echo $REPLY | $GREP '^#')"<br>          if [ ! "x$COMMENT" = "x$REPLY" ]; then<br>
            # parse line into an array first to catch obvious syntax errors<br>            # like 'option value; rm -rf /'<br>            eval local GIT_ARGS=($REPLY)<br>            git config "${GIT_ARGS[@]}"<br>
          fi<br>        done<br>        echo "done"<br>      else<br>        echo "WARNING: custom Git config file '$GIT_CONFIG_FILE' not found!"<br>      fi<br>    fi<br><br>  fi<br><br>  # Run custom setup scripts<br>
  if [ -d .git -o -f .git -o -d .svn -o -d CVS -o -f stamp-vc ]; then<br>    if [ -d .vcsetup/run.d ]; then<br>      for SCRIPT in .vcsetup/run.d/* ; do<br>        if [ -x "$SCRIPT" ]; then<br>          echo "--> Running $SCRIPT"<br>
          "$SCRIPT"<br>        fi<br>      done<br>    fi<br>  fi<br>}<br><br>run_default_update () {<br>  DUNELINK=0<br>  if test -L dune; then<br>    rm dune<br>    DUNELINK=1<br>  fi<br>  if test -d .svn; then<br>
    svn update<br>  elif test -d CVS; then<br>    cvs update -dP<br>  elif test -d .git; then<br>      if test -d ".git/svn" && test -n "`git svn find-rev HEAD`"; then<br>          # If the current HEAD points to a SVN commit, update via git-svn<br>
          git svn rebase<br>      else<br>          # Update all remotes (if any)<br>          git remote update<br><br>          # merge all changes fast-forward style if possible<br>          if ! git merge --ff-only FETCH_HEAD 2> /dev/null; then<br>
              echo "$module seems to be using git, and could not be"<br>              echo "updated automatically. Please update it manually."<br>              echo "(Usually, this is done via 'git svn rebase' for modules using"<br>
              echo "subversion or 'git merge' for modules which use git natively."<br>              echo "Conflicts can be resolved using 'git mergetool'.)"<br>          fi<br>      fi<br>
  else<br>    echo "WARNING: $module is not under a known version control system."<br>    echo "         We support svn, git and cvs."<br>  fi<br>  if test "$DUNELINK" != 0 && ! test -d dune; then<br>
    echo "WARNING: $module is using the deprecated dune symlink"<br>    ln -s . dune<br>  fi<br>}<br><br>run_default_autogen () {<br>  if test "x$USE_CMAKE" != "xyes" || test  ! -e "$(eval "echo \$PATH_$module")/CMakeLists.txt" ; then<br>
    PARAMS="$CMD_FLAGS"<br>    local M4_PATH=""<br>    if test -f <a href="http://configure.ac">configure.ac</a> && \<br>       ( test -d .svn || test -d .git || test -d CVS || test -f stamp-vc ); then<br>
      sort_modules $MODULES<br>      for m in $MODULES; do<br>        path="$(eval "echo \$PATH_$m")"<br>        MODULE_PATHS="$MODULE_PATHS\"$path\" "<br>      done<br>      if test -f autogen.sh; then<br>
        eval echo "WARNING: \$NAME_$module contains obsolete autogen.sh," \<br>            >&2<br>        echo "         dune-autogen is used instead." >&2<br>      fi<br>      eval "\"$PREFIX_DIR/bin/dune-autogen\"" "$MODULE_PATHS" "$PARAMS" || exit 1<br>
    else<br>      echo Skipping dune-autogen<br>    fi<br>  else<br>    echo Skipping dune-autogen because of CMake<br>  fi<br>}<br><br>run_default_configure () {<br>  extract_multiarch<br>  PARAMS="$CMD_FLAGS"<br>
  if test "x$USE_CMAKE" = "xyes" && test -e "$(eval "echo \$PATH_$module")/CMakeLists.txt"; then<br>    LOCAL_USE_CMAKE=yes<br>  else<br>    LOCAL_USE_CMAKE=no<br>  fi<br><br>
  if test -x configure || test "x$LOCAL_USE_CMAKE" = "xyes" ; then<br>    ACLOCAL_FLAGS="-I ."<br>    if test -d "m4"; then<br>      ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4"<br>
    fi<br>    MY_MODULES=<br>    # get dependencies & suggestions<br>    sort_modules $module<br>    for m in $MODULES; do<br>      path="$(eval "echo \$PATH_$m")"<br>      if test "x$LOCAL_USE_CMAKE" = "xyes"; then<br>
          #<br>          # Translate the configure PARMS to cmake<br>          export PARAMS<br>          export CMAKE_PARAMS<br>          module_translate_options_am2cmake $m $path/lib<br>      fi<br>      if test x$module = x$m; then continue; fi # skip myself<br>
      name=$(eval "echo \$NAME_$m")<br>      for dir in $path/m4 $path/share/dune/aclocal $path/share/aclocal; do<br>        if test -d "$dir"; then<br>            ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $dir"<br>
        fi<br>      done<br>      if test -d "$path/$BUILDDIR"; then<br>        PARAMS="$PARAMS \"--with-$name=$path/$BUILDDIR\""<br>      else<br>        if test x$(eval echo \$INST_$m) != xyes; then<br>
          PARAMS="$PARAMS \"--with-$name=$path\""<br>        fi<br>      fi<br>      if test "x$LOCAL_USE_CMAKE" = "xyes"; then<br>          if test -d "$path/$BUILDDIR"; then<br>
              CMAKE_PARAMS="$CMAKE_PARAMS \"-D""$name""_DIR=$path/$BUILDDIR\""<br>          else<br>              TMP_PARAMS="\"-D""$name""_DIR=$path\""<br>
              for i in $MULTIARCH_LIBDIR lib lib64 lib32; do<br>                  if test -d "$path/$i/cmake/$name"; then<br>                      TMP_PARAMS="\"-D""$name""_DIR=$path/$i/cmake/$name\""<br>
                      break;<br>                  fi<br>              done<br>              CMAKE_PARAMS="$CMAKE_PARAMS $TMP_PARAMS"<br>          fi<br>      fi<br>    done<br><br>    if test "x$HAVE_duneweb" == "xyes"; then<br>
      PARAMS="$PARAMS \"--with-duneweb=$PATH_duneweb\""<br>    fi<br><br>    if test "x$LOCAL_USE_CMAKE" = "xyes"; then<br>      # we have to export the compiler and compiler flags<br>
      # such that they are honored by cmake.<br>      flags="CXX CC CXXFLAGS CFLAGS CPPFLAGS LDFLAGS F77 FFLAGS FLIBS FC FCFLAGS FCLIBS LIBS"<br>      for i in  $flags; do<br>        cflags=`echo "$PARAMS" | $GREP $i= | $SED -e "s/.*\($i=\"[^\"]*\"\).*/\1/" -e "s/.*\($i='[^']*'\).*/\1/"`<br>
        if test -n "$cflags" && test "$PARAMS" != "$cflags" ; then<br>            PREPARAMS="$PREPARAMS $cflags"<br>          else<br>           cflags=`echo "$PARAMS" | $GREP $i= | $SED -e "s/.*\($i=[^$BLANK]*\).*/\1/"`<br>
           if test -n "$cflags" && test "$PARAMS" != "$cflags" ; then<br>            PREPARAMS="$PREPARAMS $cflags"<br>           fi<br>        fi<br>      done<br>      # create build directory if requested<br>
      test -d "$BUILDDIR" || mkdir "$BUILDDIR"<br>      SRCDIR="$PWD"<br>      cd "$BUILDDIR"<br>      echo "$PREPARAMS $CMAKE -DCMAKE_MODULE_PATH=\"$CMAKE_MODULE_PATH\" $CMAKE_PARAMS $CMAKE_FLAGS \"$SRCDIR\""<br>
      eval $PREPARAMS $CMAKE "-DCMAKE_MODULE_PATH=\"$CMAKE_MODULE_PATH\" $CMAKE_PARAMS $CMAKE_FLAGS \"$SRCDIR\"" || exit 1<br>    else<br>      PARAMS="$PARAMS ACLOCAL_AMFLAGS=\"$ACLOCAL_FLAGS\""<br>
      echo ./configure "$PARAMS"<br>      # create build directory if requested<br>      if test -n "$BUILDDIR"; then<br>        test -d "$BUILDDIR" || mkdir "$BUILDDIR"<br>        SRCDIR="$PWD"<br>
        cd "$BUILDDIR"<br>        eval "$SRCDIR/configure" "$PARAMS" || exit 1<br>      else<br>        eval ./configure "$PARAMS" || exit 1<br>      fi<br>    fi<br>  else<br>    if test -f <a href="http://configure.in">configure.in</a> || test -f <a href="http://configure.ac">configure.ac</a>; then<br>
      echo "ERROR: configure.[in|ac] found, but configure missing." >&2<br>      echo "Did you forget to run autoconf?" >&2<br>      echo "Perhaps you didn't update your project to" >&2<br>
      echo "the latest buildsystem changes (FS#382)." >&2<br>      echo "If your project is under version control, please make sure" >&2<br>      echo "you have a file stamp-vc in you top_srcdir." >&2<br>
      exit 1<br>    fi<br>  fi<br>}<br><br>run_default_make () {<br>  test ! -d "$BUILDDIR" || cd "$BUILDDIR"<br>  PARAMS="$CMD_FLAGS"<br>  echo make "$PARAMS"<br>  eval $MAKE "$PARAMS"<br>
}<br><br>run_default_all () {<br>  for cmd in vcsetup autogen configure make; do<br>    eval echo "--- calling $cmd for \$NAME_${module} ---"<br>    load_opts $cmd<br>    run_$cmd<br>  done<br>}<br><br>run_default_svn () {<br>
  if test -d .svn; then<br>    PARAMS="$CMD_FLAGS"<br>    eval svn "$PARAMS"<br>  fi<br>}<br><br>run_default_git () {<br>  if test -d .git; then<br>    PARAMS="$CMD_FLAGS"<br>    eval git "$PARAMS"<br>
  fi<br>}<br><br>###############################################<br>###<br>### main<br>###<br><br>onfailure() {<br>  echo "Execution of $(basename "$0") terminated due to errors!" >&2<br>  exit 1<br>
}<br><br>usage () {<br>  (<br>    echo "Usage: $(basename "$0") [OPTIONS] COMMANDS [COMMAND-OPTIONS]"<br>    echo ""<br>    echo "  Execute COMMANDS for all Dune modules found. All entries in the"<br>
    echo "  DUNE_CONTROL_PATH variable are scanned recursively for Dune modules."<br>    echo "  If DUNE_CONTROL_PATH is empty, the current directory is scanned."<br>    echo "  Dependencies are controlled by the $CONTROL files."<br>
    echo ""<br>    echo "OPTIONS:"<br>    echo "  -h, --help          show this help"<br>    echo "      --debug         enable debug output of this script"<br>    echo "      --use-cmake     use cmake instead autotools for building"<br>
    echo "      --module=mod    only apply the actions on module mod"<br>    echo "                      and all modules it depends on"<br>    echo "      --only=mod      only apply the actions on module mod"<br>
    echo "                      and not the modules it depends on"<br>    echo "      --current       only apply the actions on the current module,"<br>    echo "                      the one whose source tree we are standing in"<br>
    echo "      --resume        resume a previous run (only consider the modules"<br>    echo "                      not built successfully on the previous run)"<br>    echo "      --skipfirst     skip the first module (use with --resume)"<br>
    echo "      --opts=FILE     load default options from FILE"<br>    echo "                      (see dune-common/doc/example.opts)"<br>    echo "      --builddir=NAME make out-of-source builds in a subdir NAME."<br>
    echo "                      This directory is created inside each module."<br>    echo "      --[COMMAND]-opts=opts   set options for COMMAND"<br>    echo "                     (this is mainly useful for the 'all' COMMAND)"<br>
    echo "COMMANDS:"<br>    echo "  Colon-separated list of commands. Available commands are:"<br>    printf "  \`help'\tguess what :-)\n"<br>    printf "  \`print'\tprint the list of modules sorted after their dependencies\n"<br>
    printf "  \`info'\tsame as \`print\', but including whether it is a dependency or suggestion\n"<br>    for i in $COMMANDS; do<br>      printf "  \`$i'\t$(eval echo \$${i}_HELP)\n"<br>    done<br>
    printf "  \`export'\trun eval \`dunecontrol export\` to save the list of\n"<br>    printf "  \t\tdune.module files to the DUNE_CONTROL_PATH variable\n"<br>    echo<br>  )  >&2<br>}<br><br>
# create the module list<br>create_module_list() {<br>  # try to get the resume file name from the options<br>  if test -z "$RESUME_FILE" && test -n "$DUNE_OPTS_FILE"; then<br>    export RESUME_FILE="$(eval . $DUNE_OPTS_FILE; eval echo \$RESUME_FILE)"<br>
  fi<br><br>  if test "$RESUME_FLAG" = "yes" ; then<br>    if ! test -s "$RESUME_FILE" ; then<br>      echo "Error: No previous run to resume. Please make sure that the RESUME_FILE"<br>
      echo "       is the name of a writeable file (currently it is '$RESUME_FILE')"<br>      exit 1<br>    fi<br><br>    export MODULES=<br>    RESUME="`cat "$RESUME_FILE"`"<br>    for a in $RESUME ; do<br>
        export NAME_`fix_variable_name $a`="$a"<br>        fix_and_assign MODULE "$a"<br>        export SEARCH_MODULES="$SEARCH_MODULES $MODULE"<br>        export ONLY="$ONLY $MODULE"<br>
    done<br>  fi<br><br>  find_modules_in_path<br>  if test "x$ONLY" != x; then<br>    export MODULES="$ONLY"<br>  elif test "x$SEARCH_MODULES" != "x"; then<br>    sort_modules $SEARCH_MODULES<br>
  else<br>    sort_modules $MODULES<br>  fi<br><br>  if test "x$REVERSE_FLAG" = "xyes"; then<br>    export MODULES="$REVERSEMODULES"<br>  fi<br><br>  if test "x$SKIPFIRST" = "xyes" ; then<br>
    export MODULES=`echo $MODULES " " | cut '--delimiter= ' --fields=2-`<br>  fi<br>  # warn about superseeded modules:<br>  if test -n "$superseded_modules"; then<br>    # sort moules list and make it unique.<br>
    superseded_modules=$(echo $superseded_modules | tr ' ' '\n'| sort -u)<br>    echo >&2<br>    echo "The following local modules do supersede the corresponding installed ones:"  >&2<br>
    echo "$superseded_modules"  >&2<br>    echo  >&2<br>  fi<br>}<br><br># print the module list<br>print_module_list() {<br>  DELIM=$1<br>  shift<br>  while test -n "$2"; do<br>    echo -n "$(eval echo \$NAME_$1)$DELIM"<br>
    shift<br>  done<br>  echo -n "$(eval echo \$NAME_$1)"<br>}<br><br>trap onfailure EXIT<br>+ trap onfailure EXIT<br><br># clear variables<br>export SEARCH_MODULES=""<br>+ export SEARCH_MODULES=<br>+ SEARCH_MODULES=<br>
export MODULES=""<br>+ export MODULES=<br>+ MODULES=<br>export ONLY=""<br>+ export ONLY=<br>+ ONLY=<br>export RESUME_FLAG=no<br>+ export RESUME_FLAG=no<br>+ RESUME_FLAG=no<br>export REVERSE_FLAG=no<br>
+ export REVERSE_FLAG=no<br>+ REVERSE_FLAG=no<br>export SKIPFIRST=no<br>+ export SKIPFIRST=no<br>+ SKIPFIRST=no<br><br># read environment variable USE_CMAKE<br>export DUNE_USE_CMAKE="$(echo $USE_CMAKE)"<br>echo $USE_CMAKE)"<br>
echo $USE_CMAKE)<br>echo $USE_CMAKE<br>++ echo<br>+ export DUNE_USE_CMAKE=<br>+ DUNE_USE_CMAKE=<br><br># parse commandline parameters<br>while test $# -gt 0; do<br>    # get option<br>    command=$1<br>    option=$1<br><br>
    # get args<br>    set +e<br>    # stolen from configure...<br>    # when no option is set, this returns an error code<br>    arg=`expr "x$option" : 'x[^=]*=\(.*\)'`<br>    set -e<br><br>    # switch<br>
    case "$option" in<br>    --opts=*)<br>      if test "x$arg" = "x"; then<br>        usage<br>        echo "ERROR: Parameter for --opts is missing"  >&2<br>        echo  >&2<br>
        exit 1;<br>      fi<br>      DUNE_OPTS_FILE=`canonicalname $arg`<br>      if ! test -r "$DUNE_OPTS_FILE"; then<br>        usage<br>        echo "ERROR: could not read opts file \"$DUNE_OPTS_FILE\""  >&2<br>
        echo  >&2<br>        exit 1;<br>      fi<br>    ;;<br>    --*-opts=*)<br>      optcmd=`expr "x$option=" : 'x--\([^-]*\)-opts=.*'`<br>      if is_command $optcmd; then<br>        COMMAND=`echo $optcmd | tr '[:lower:]' '[:upper:]'`<br>
        export ${COMMAND}_FLAGS="$arg"<br>      else<br>        usage<br>        echo "ERROR: unknown option \"$option\""  >&2<br>        exit 1<br>      fi<br>    ;;<br>    -h|--help)<br>
      command=help<br>      break<br>    ;;<br>    -p|--print)<br>      command=print<br>      break<br>    ;;<br>    --module=*)<br>      if test "x$arg" = "x"; then<br>        usage<br>        echo "ERROR: Parameter for --module is missing"  >&2<br>
        echo  >&2<br>        exit 1;<br>      fi<br>      for a in `echo $arg | tr ',' ' '`; do<br>        export NAME_`fix_variable_name $a`="$a"<br>        fix_and_assign MODULE "$a"<br>
        export SEARCH_MODULES="$SEARCH_MODULES $MODULE"<br>      done<br>    ;;<br>    --only=*)<br>      if test "x$arg" = "x"; then<br>        usage<br>        echo "ERROR: Parameter for --only is missing"  >&2<br>
        echo  >&2<br>        exit 1;<br>      fi<br>      for a in `echo $arg | tr ',' ' '`; do<br>        export NAME_`fix_variable_name $a`="$a"<br>        fix_and_assign MODULE "$a"<br>
        export SEARCH_MODULES="$SEARCH_MODULES $MODULE"<br>        export ONLY="$ONLY $MODULE"<br>      done<br>    ;;<br>    --builddir=*)<br>      export DUNE_BUILDDIR=$arg<br>    ;;<br>    --no-builddir)<br>
      export DUNE_BUILDDIR=""<br>    ;;<br>    --skipversioncheck)<br>      export SKIPVERSIONCHECK=yes<br>    ;;<br>    --current)<br>      while ! test -f $CONTROL; do<br>        cd ..<br>        if test "$OLDPWD" = "$PWD"; then<br>
          echo "You are not inside the source tree of a DUNE module." >&2<br>          exit -1<br>        fi<br>      done;<br>      parse_control $PWD/$CONTROL<br>      fix_and_assign MODULE "$module"<br>
      export SEARCH_MODULES="$SEARCH_MODULES $MODULE"<br>      export ONLY="$ONLY $MODULE"<br>    ;;<br>    --resume)<br>      export RESUME_FLAG="yes"<br>    ;;<br>    --reverse)<br>      export REVERSE_FLAG="yes"<br>
    ;;<br>    --skipfirst)<br>      export SKIPFIRST=yes<br>    ;;<br>    --use-cmake|--cmake)<br>      export DUNE_USE_CMAKE=yes<br>    ;;<br>    --no-cmake)<br>      export DUNE_USE_CMAKE=no<br>    ;;<br>    --debug) true ;; # ignore this option, it is handled right at the beginning<br>
    --*)<br>      usage<br>      echo "ERROR: Unknown option \`$option'"  >&2<br>      echo  >&2<br>      exit 1<br>      ;;<br>    *)<br>      break<br>    ;;<br>    esac<br><br>    shift<br>done<br>
+ test 4 -gt 0<br>+ command=--debug<br>+ option=--debug<br>+ set +e<br>expr "x$option" : 'x[^=]*=\(.*\)'<br>++ expr x--debug : 'x[^=]*=\(.*\)'<br>+ arg=<br>+ set -e<br>+ case "$option" in<br>
+ true<br>+ shift<br>+ test 3 -gt 0<br>+ command=autogen<br>+ option=autogen<br>+ set +e<br>expr "x$option" : 'x[^=]*=\(.*\)'<br>++ expr xautogen : 'x[^=]*=\(.*\)'<br>+ arg=<br>+ set -e<br>+ case "$option" in<br>
+ break<br><br>extract_multiarch<br>+ extract_multiarch<br>+ set +e<br>+ local my_cxx_compiler<br>+ test x '!=' x<br>+ test x = xyes<br>+ test x == x<br>+ load_opts configure<br>+ local command=configure<br>echo $command | tr '[:lower:]' '[:upper:]')<br>
echo $command | tr '[:lower:]' '[:upper:]'<br>++ echo configure<br>++ tr '[:lower:]' '[:upper:]'<br>+ local COMMAND=CONFIGURE<br>eval echo \$${COMMAND}_FLAGS)<br>eval echo \$${COMMAND}_FLAGS<br>
++ eval echo '$CONFIGURE_FLAGS'<br>echo $CONFIGURE_FLAGS<br>+++ echo<br>+ CMD_FLAGS=<br>+ local CMD_FLAGS_FROM_FILE=<br>+ test configure = NONE<br>+ test -n ''<br>+ test x '!=' x<br>+ test -n ''<br>
+ test -n ''<br>+ test x = xyes<br>echo $CMD_FLAGS | $GREP CXX | $SED "s/.*CXX=[\"']\{0,1\}\([^$BLANK'\"]*\)[\"']\{0,1\}.*/\1/"<br>++ echo<br>++ grep CXX<br>++ sed 's/.*CXX=["'\'']\{0,1\}\([^      '\''"]*\)["'\'']\{0,1\}.*/\1/'<br>
+ my_cxx_compiler=<br>+ test x == x<br>which cc &>/dev/null)<br>which cc &>/dev/null<br>++ which cc<br>+ test 0 -eq 0<br>+ my_cxx_compiler=cc<br>$my_cxx_compiler --print-multiarch 2>/dev/null)<br>$my_cxx_compiler --print-multiarch 2>/dev/null<br>
++ cc --print-multiarch<br>+ multiarch=<br>+ test 0 -gt 0<br>+ set -e<br>+ export MULTIARCH_LIBDIR=lib/<br>+ MULTIARCH_LIBDIR=lib/<br><br># create PKG_CONFIG_PATH for installed dune modules<br>for i in $MULTIARCH_LIBDIR lib64 lib32 lib; do<br>
  if test -d "$PREFIX_DIR/$i/pkgconfig"; then<br>    export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:$PREFIX_DIR/$i/pkgconfig"<br>  fi<br>done<br>+ for i in '$MULTIARCH_LIBDIR' lib64 lib32 lib<br>+ test -d /usr/local/dune/dune-common-2.3.1/bin/../lib//pkgconfig<br>
+ for i in '$MULTIARCH_LIBDIR' lib64 lib32 lib<br>+ test -d /usr/local/dune/dune-common-2.3.1/bin/../lib64/pkgconfig<br>+ for i in '$MULTIARCH_LIBDIR' lib64 lib32 lib<br>+ test -d /usr/local/dune/dune-common-2.3.1/bin/../lib32/pkgconfig<br>
+ for i in '$MULTIARCH_LIBDIR' lib64 lib32 lib<br>+ test -d /usr/local/dune/dune-common-2.3.1/bin/../lib/pkgconfig<br><br># we assume there should be a command...<br>if test "x$command" = "x"; then<br>
  usage<br>  exit 1<br>fi<br>+ test xautogen = x<br><br>case "$command" in<br>  print)<br>    create_module_list<br>    eval "print_module_list ' ' $MODULES"<br>    echo >&2<br>    ;;<br>
  info)<br>    create_module_list<br>    echo $SORTEDMODULES_INFO<br>  ;;<br>  export)<br>    create_module_list<br>    DUNE_CONTROL_PATH=""<br>    for mod in $MODULES; do<br>      path="$(eval echo \$PATH_$mod)"<br>
      name=$(eval echo \$NAME_$mod)<br>      if test -f "$path/dune.module"; then<br>        export DUNE_CONTROL_PATH="$DUNE_CONTROL_PATH:$path/dune.module"<br>      else<br>        if test -f "$path/lib/dunecontrol/$name/dune.module"; then<br>
          export DUNE_CONTROL_PATH="$DUNE_CONTROL_PATH:$path/lib/dunecontrol/$name/dune.module"<br>        else<br>          echo "ERROR: while creating list of dune.module files"  >&2<br>          echo "       couldn't find dune.module file for $name in $path" >&2<br>
          echo  >&2<br>          exit 1<br>        fi<br>      fi<br>    done<br>    echo export DUNE_CONTROL_PATH=$(echo $DUNE_CONTROL_PATH | $SED -e 's/^://')<br>    ;;<br>  printdeps)<br>    find_modules_in_path<br>
    if test "x$SEARCH_MODULES" == "x"; then<br>      echo "ERROR: printdeps requires an explicit --module=... parameter"  >&2<br>      exit 1<br>    fi<br>    mainmod=`echo $SEARCH_MODULES`<br>
    name=`eval echo \\${NAME_$mainmod}`<br>    echo "dependencies for $name"<br>    ### DEPENDENCIES<br>    sort_modules $mainmod<br>    for mod in $SORTEDMODULES_DEPS; do<br>      echo "  $mod (required)"<br>
    done<br>    for mod in $SORTEDMODULES_SUGS; do<br>      echo "  $mod (suggested)"<br>    done<br>    ;;<br>  m4create)<br>    find_modules_in_path<br>    if test "x$SEARCH_MODULES" == "x"; then<br>
      echo "ERROR: m4create requires an explicit --module=... parameter"  >&2<br>      exit 1<br>    fi<br>    mainmod=`echo $SEARCH_MODULES`<br>    eval mainmodpath="\$PATH_$mainmod"<br>    fname="$mainmodpath/dependencies.m4"<br>
    name=`eval echo \\${NAME_$mainmod}`<br>    version=`eval echo \\${VERS_$mainmod}`<br>    maintainer=`eval echo \\${MAIN_$mainmod}`<br>    # get dependencies<br>    eval deps=\$DEPS_$mainmod<br>    #initially remove leading space<br>
    deps=`echo "$deps" | $SED 's/^ *//'`<br>    while test -n "$deps"; do<br>      #the end of the name is marked either by space, opening paren<br>      #or comma<br>      depname="${deps%%[ (,]*}"<br>
      #remove the name and adjacent whitespace<br>      deps=`echo "$deps" | $SED 's/^[^ (,]* *//'`<br>      #check whether there is a dependency version<br>      case "$deps" in<br>      '('*) deps="${deps#(}"<br>
            depver="${deps%%)*}"<br>            deps="${deps#*)}"<br>            ;;<br>      *)    depver=<br>            ;;<br>      esac<br>      #remove any leading whitespace or commas for te next iteration<br>
      deps=`echo "$deps" | $SED 's/^[, ]*//'`<br><br>      requires="$requires $depname $depver "<br>    done<br>    # get suggestions<br>    eval sugs=\$SUGS_$mainmod<br>    #initially remove leading space<br>
    sugs=`echo "$sugs" | $SED 's/^ *//'`<br>    while test -n "$sugs"; do<br>      #the end of the name is marked either by space, opening paren<br>      #or comma<br>      sugsname="${sugs%%[ (,]*}"<br>
      #remove the name and adjacent whitespace<br>      sugs=`echo "$sugs" | $SED 's/^[^ (,]* *//'`<br>      #check whether there is a dependency version<br>      case "$sugs" in<br>      '('*) sugs="${sugs#(}"<br>
            sugsver="${sugs%%)*}"<br>            sugs="${sugs#*)}"<br>            ;;<br>      *)    sugver=<br>            ;;<br>      esac<br>      #remove any leading whitespace or commas for te next iteration<br>
      sugs=`echo "$sugs" | $SED 's/^[, ]*//'`<br><br>      suggests="$suggests $sugsname"<br>      suggestsall="$suggestsall $sugsname $sugsver "<br>    done<br>    # ensure a version number<br>
    if test "x$version" = "x"; then version="0.0"; fi<br>    echo "writing $fname"<br>    echo "    for $name $version $maintainer"<br>    echo "        requires $requires"<br>
    echo "        suggests $suggestsall"<br>      AC_MACRO_DIR="."<br>      test ! -d m4 || AC_MACRO_DIR=m4<br>    cat > "$fname" <<EOF<br># dependencies.m4 generated by dunecontrol<br>
<br>m4_define([DUNE_AC_INIT],[<br>  AC_INIT([$name], [$version], [$maintainer])<br>  AM_INIT_AUTOMAKE([foreign 1.9 tar-pax])<br>  m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([no])])<br>  AC_SUBST([DUNE_MOD_VERSION], [$version])<br>
  AC_SUBST([DUNE_MOD_NAME], [$name])<br>  AC_SUBST([DUNE_MAINTAINER_NAME], ["$maintainer"])<br>  DUNE_PARSE_MODULE_VERSION([$name], [$version])<br>  REQUIRES="$requires"<br>  AC_SUBST(REQUIRES, [$REQUIRES])<br>
  AC_CONFIG_MACRO_DIR([$AC_MACRO_DIR])<br>])<br><br>AC_DEFUN([DUNE_CHECK_MOD_DEPENDENCIES], [<br>EOF<br>    ### initialize AM_CONDITIONAL for suggestions that were not found<br>    for name in $suggests; do<br>      mod=$(fix_variable_name $name)<br>
      MOD=`echo $mod | tr [:lower:] [:upper:]`<br>      if test "x$(eval echo \$HAVE_$mod)" = "x"; then<br>        cat >> "$fname" <<EOF<br>  ### add a conditional check for $name,<br>
  # just in case the module is not available at autogen time<br>  AM_CONDITIONAL([HAVE_${MOD}], false)<br>EOF<br>      fi<br>    done<br>        ### ANALYSE MODULE<br>    sort_modules $mainmod<br>    ### DEPENDENCIES<br>    for mod in $SORTEDMODULES_DEPS; do<br>
      name=`eval echo \\$NAME_$mod`<br>      MOD=`echo $mod | tr [:lower:] [:upper:]`<br>      cat >> "$fname" <<EOF<br>  ### check dependency $name<br>  # invoke checks required by this module<br>  AC_REQUIRE([${MOD}_CHECKS])<br>
  # invoke check for this module<br>  AC_REQUIRE([${MOD}_CHECK_MODULE])<br>  if test x\$with_$mod = xno; then<br>    AC_MSG_ERROR([could not find required module _dune_name])<br>  fi<br>EOF<br>    done<br>    ###<br>    for mod in $SORTEDMODULES_SUGS; do<br>
      name=`eval echo \\$NAME_$mod`<br>      MOD=`echo $mod | tr [:lower:] [:upper:]`<br>      cat >> "$fname" <<EOF<br>  ### check suggestion $name<br>  # invoke checks required by this module<br>  AC_REQUIRE([${MOD}_CHECKS])<br>
  # invoke check for this module<br>  AC_REQUIRE([${MOD}_CHECK_MODULE])<br>  if test x\$with_$mod = xno; then<br>    AC_MSG_WARN([could not find suggested module _dune_name])<br>  fi<br>EOF<br>    done<br>    ###<br>    # only test for the module if we really define our own checks<br>
    if test -d m4; then<br>      mod=$mainmod<br>      name=`eval echo \\$NAME_$mod`<br>      MOD=`echo $mod | tr [:lower:] [:upper:]`<br>      cat >> "$fname" <<EOF<br>  ### invoke checks for $name<br>
  AC_REQUIRE([${MOD}_CHECKS])<br>EOF<br>    fi<br>    cat >> "$fname" <<EOF<br>])<br>EOF<br>  ;;<br>  unexport)<br>    echo export DUNE_CONTROL_PATH=""<br>  ;;<br>  help)<br>    usage<br>  ;;<br>
  *)<br>    set +e<br>    if test "x$USE_CMAKE" = "xno"; then<br>      echo "$PREFIX_DIR" |$GREP "[      ]" >/dev/null<br>     if test "$?" -eq "0"; then<br>        echo "ERROR: The prefix directory path ($PREFIX_DIR) contains spaces. This is not"<br>
        echo "       supported when using autotools."<br>        echo "       Either rename the path or activate CMake with --use-cmake switch."<br>        exit 1<br>      fi<br>    fi<br>    set -e<br>
    if test "$1" = "update"; then export SKIPVERSIONCHECK=yes; fi<br>    check_commands "$@"<br>    create_module_list<br>    NAMES=""<br>    BUILDMODULES=""<br>    for mod in $MODULES; do<br>
      if test "$(eval echo \$INST_$mod)" != "yes"; then<br>        NAMES="$NAMES$(eval echo \$NAME_$mod) "<br>        BUILDMODULES="$BUILDMODULES$mod "<br>      fi<br>    done<br>    echo "--- going to build $NAMES ---"<br>
    if test -n "$RESUME_FILE"; then<br>        # write all modules to the resume file<br>        for mod in $MODULES ; do<br>            echo "$mod"<br>        done > "$RESUME_FILE"<br>    fi<br>
<br>    for mod in $BUILDMODULES; do<br>      build_module "$mod" "$@"<br><br>      if test -n "$RESUME_FILE"; then<br>          # remove the current module from the resume file<br>          modules_togo=`cat "$RESUME_FILE"`<br>
          for mod_togo in $modules_togo ; do<br>              if test "$mod_togo" != "$mod" ; then<br>                  echo "$mod_togo"<br>              fi<br>          done > "$RESUME_FILE"<br>
      fi<br>    done<br>    echo "--- done ---"<br>  ;;<br>esac<br>+ case "$command" in<br>+ set +e<br>+ test x = xno<br>+ set -e<br>+ test autogen = update<br>+ check_commands autogen : configure<br>+ test 3 -gt 0<br>
+ command=autogen<br>+ shift<br>+ test 2 -gt 0<br>+ test : '!=' :<br>+ test : = :<br>+ shift<br>+ is_command autogen<br>echo $COMMANDS | $SED -e 's/ / | /g'<br>++ echo printdeps vcsetup update autogen configure make all exec bexec status svn git<br>
++ sed -e 's/ / | /g'<br>+ eval '<br>case "$1" in<br>  printdeps' '|' vcsetup '|' update '|' autogen '|' configure '|' make '|' all '|' exec '|' bexec '|' status '|' svn '|' 'git)<br>
    return 0<br>    ;;<br>  *)<br>    return 1<br>    ;;<br>esac'<br><br>case "$1" in<br>  printdeps | vcsetup | update | autogen | configure | make | all | exec | bexec | status | svn | git)<br>    return 0<br>
    ;;<br>  *)<br>    return 1<br>    ;;<br>esac<br>++ case "$1" in<br>++ return 0<br>+ test 1 -gt 0<br>+ command=configure<br>+ shift<br>+ test 0 -gt 0<br>+ test '' = :<br>+ is_command configure<br>echo $COMMANDS | $SED -e 's/ / | /g'<br>
++ echo printdeps vcsetup update autogen configure make all exec bexec status svn git<br>++ sed -e 's/ / | /g'<br>+ eval '<br>case "$1" in<br>  printdeps' '|' vcsetup '|' update '|' autogen '|' configure '|' make '|' all '|' exec '|' bexec '|' status '|' svn '|' 'git)<br>
    return 0<br>    ;;<br>  *)<br>    return 1<br>    ;;<br>esac'<br><br>case "$1" in<br>  printdeps | vcsetup | update | autogen | configure | make | all | exec | bexec | status | svn | git)<br>    return 0<br>
    ;;<br>  *)<br>    return 1<br>    ;;<br>esac<br>++ case "$1" in<br>++ return 0<br>+ test 0 -gt 0<br>+ create_module_list<br>+ test -z ''<br>+ test -n ''<br>+ test no = yes<br>+ find_modules_in_path<br>
+ setup_control_path<br>+ test -z ''<br>+ DUNE_CONTROL_PATH=.<br>+ pkg-config dune-common<br>pkg-config dune-common --variable=prefix)/lib/dunecontrol<br>pkg-config dune-common --variable=prefix<br>++ pkg-config dune-common --variable=prefix<br>
+ DUNE_CONTROL_PATH=.:/usr/local/lib/dunecontrol<br>+ test -n ''<br>+ local TMP=<br>echo $DUNE_CONTROL_PATH | sed -e 's/:\+/:/g' | tr ':' '\n')<br>echo $DUNE_CONTROL_PATH | sed -e 's/:\+/:/g' | tr ':' '\n'<br>
++ echo .:/usr/local/lib/dunecontrol<br>++ sed -e 's/:\+/:/g'<br>++ tr : '\n'<br>+ read dir<br>canonicalname "$dir")"<br>canonicalname "$dir")<br>canonicalname "$dir"<br>
++ canonicalname .<br>++ test 1 -ne 1<br>eval echo $1<br>+++ eval echo .<br>echo .<br>++++ echo .<br>++ file=.<br>++ test '!' -e .<br>++ test -L .<br>++ test -f .<br>++ test -d .<br>++ cd .<br>++ pwd<br>+ TMP=:/usr/local/dune<br>
+ read dir<br>canonicalname "$dir")"<br>canonicalname "$dir")<br>canonicalname "$dir"<br>++ canonicalname /usr/local/lib/dunecontrol<br>++ test 1 -ne 1<br>eval echo $1<br>+++ eval echo /usr/local/lib/dunecontrol<br>
echo /usr/local/lib/dunecontrol<br>++++ echo /usr/local/lib/dunecontrol<br>++ file=/usr/local/lib/dunecontrol<br>++ test '!' -e /usr/local/lib/dunecontrol<br>++ echo /usr/local/lib/dunecontrol: file not found<br>/usr/local/lib/dunecontrol: file not found<br>
++ return 1<br>+ TMP=:/usr/local/dune:<br>onfailure<br>+ onfailure<br>basename "$0") terminated due to errors!"<br>basename "$0") terminated due to errors!<br>basename "$0"<br>++ basename ./dune-common-2.3.1/bin/dunecontrol<br>
+ echo 'Execution of dunecontrol terminated due to errors!'<br>Execution of dunecontrol terminated due to errors!<br>+ exit 1<br><br></div><div>Thanks <br></div><div>Best<br></div><div><br></div></div></div>